Bug 368471 - In "save link as..." gtk+ file save dialog using bookmarks clears the filename box
In "save link as..." gtk+ file save dialog using bookmarks clears the filenam...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-06 11:31 EST by Oded Arbel
Modified: 2008-11-26 06:32 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 06:32:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oded Arbel 2007-11-06 11:31:30 EST
Description of problem:
If a user uses the "Save link as..." to save some file on Linux, then Firefox
uses the gtk+ file save dialog which features a pane with "bookmarks" to places
on the user's file system.

When using a bookmark to jump to another location before saving, the filename
box (which is originally pre-filled with the filename part of the URL that is
being saved) is cleared forcing the user to either guess what the original
filename was or to abandon the attempt to save the file.

This doesn't happen when using other controls to navigate (such as the path bar
or double clicking directories in the file list display), and it also doesn't
happen when using bookmarks in the gtk+ file save dialog started from the "Save
page as..." menu action.

Version-Release number of selected component (if applicable):
2.0.0.8-2.fc8

How reproducible:
always

Steps to Reproduce:
1. Right click a link and choose "Save link as.."
2. Click on a bookmark, such as "Desktop"
  
Actual results:
The "name" box containing the guessed filename is cleared forcing the user to
type a new filename

Expected results:
The "name" box should still have the same value as before choosing the bookmark.

Additional info:
If the user changes the file name and the clicks the bookmark, then the name box
is also cleared.
Comment 1 Cassio 2008-02-05 15:22:40 EST
I can confirm this. It doesn't seem to be related to firefox though. It seems to
be related to gtk+. If you try it with a file in gedit, you'll get the same kind
of behavior.

I could find this reported here: https://bugs.launchpad.net/gtk/+bug/93396

and also upstream: http://bugzilla.gnome.org/show_bug.cgi?id=419737 where there
already seems to be a patch.
Comment 2 Bug Zapper 2008-11-26 03:12:59 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Oded Arbel 2008-11-26 06:32:52 EST
The problem does not happen in Firefox 3

Note You need to log in before you can comment on or make changes to this bug.